// Code generated by mdatagen. DO NOT EDIT.

package metadatatest

import (
	"context"
	"testing"

	"github.com/stretchr/testify/require"
	"go.opentelemetry.io/otel/sdk/metric/metricdata"
	"go.opentelemetry.io/otel/sdk/metric/metricdata/metricdatatest"

	"github.com/open-telemetry/opentelemetry-collector-contrib/processor/tailsamplingprocessor/internal/metadata"

	"go.opentelemetry.io/collector/component/componenttest"
)

func TestSetupTelemetry(t *testing.T) {
	testTel := componenttest.NewTelemetry()
	tb, err := metadata.NewTelemetryBuilder(testTel.NewTelemetrySettings())
	require.NoError(t, err)
	defer tb.Shutdown()
	tb.ProcessorTailSamplingCountSpansSampled.Add(context.Background(), 1)
	tb.ProcessorTailSamplingCountTracesSampled.Add(context.Background(), 1)
	tb.ProcessorTailSamplingEarlyReleasesFromCacheDecision.Add(context.Background(), 1)
	tb.ProcessorTailSamplingGlobalCountTracesSampled.Add(context.Background(), 1)
	tb.ProcessorTailSamplingNewTraceIDReceived.Add(context.Background(), 1)
	tb.ProcessorTailSamplingSamplingDecisionLatency.Record(context.Background(), 1)
	tb.ProcessorTailSamplingSamplingDecisionTimerLatency.Record(context.Background(), 1)
	tb.ProcessorTailSamplingSamplingLateSpanAge.Record(context.Background(), 1)
	tb.ProcessorTailSamplingSamplingPolicyEvaluationError.Add(context.Background(), 1)
	tb.ProcessorTailSamplingSamplingTraceDroppedTooEarly.Add(context.Background(), 1)
	tb.ProcessorTailSamplingSamplingTraceRemovalAge.Record(context.Background(), 1)
	tb.ProcessorTailSamplingSamplingTracesOnMemory.Record(context.Background(), 1)
	AssertEqualProcessorTailSamplingCountSpansSampled(t, testTel,
		[]metricdata.DataPoint[int64]{{Value: 1}},
		metricdatatest.IgnoreTimestamp())
	AssertEqualProcessorTailSamplingCountTracesSampled(t, testTel,
		[]metricdata.DataPoint[int64]{{Value: 1}},
		metricdatatest.IgnoreTimestamp())
	AssertEqualProcessorTailSamplingEarlyReleasesFromCacheDecision(t, testTel,
		[]metricdata.DataPoint[int64]{{Value: 1}},
		metricdatatest.IgnoreTimestamp())
	AssertEqualProcessorTailSamplingGlobalCountTracesSampled(t, testTel,
		[]metricdata.DataPoint[int64]{{Value: 1}},
		metricdatatest.IgnoreTimestamp())
	AssertEqualProcessorTailSamplingNewTraceIDReceived(t, testTel,
		[]metricdata.DataPoint[int64]{{Value: 1}},
		metricdatatest.IgnoreTimestamp())
	AssertEqualProcessorTailSamplingSamplingDecisionLatency(t, testTel,
		[]metricdata.HistogramDataPoint[int64]{{}}, metricdatatest.IgnoreValue(),
		metricdatatest.IgnoreTimestamp())
	AssertEqualProcessorTailSamplingSamplingDecisionTimerLatency(t, testTel,
		[]metricdata.HistogramDataPoint[int64]{{}}, metricdatatest.IgnoreValue(),
		metricdatatest.IgnoreTimestamp())
	AssertEqualProcessorTailSamplingSamplingLateSpanAge(t, testTel,
		[]metricdata.HistogramDataPoint[int64]{{}}, metricdatatest.IgnoreValue(),
		metricdatatest.IgnoreTimestamp())
	AssertEqualProcessorTailSamplingSamplingPolicyEvaluationError(t, testTel,
		[]metricdata.DataPoint[int64]{{Value: 1}},
		metricdatatest.IgnoreTimestamp())
	AssertEqualProcessorTailSamplingSamplingTraceDroppedTooEarly(t, testTel,
		[]metricdata.DataPoint[int64]{{Value: 1}},
		metricdatatest.IgnoreTimestamp())
	AssertEqualProcessorTailSamplingSamplingTraceRemovalAge(t, testTel,
		[]metricdata.HistogramDataPoint[int64]{{}}, metricdatatest.IgnoreValue(),
		metricdatatest.IgnoreTimestamp())
	AssertEqualProcessorTailSamplingSamplingTracesOnMemory(t, testTel,
		[]metricdata.DataPoint[int64]{{Value: 1}},
		metricdatatest.IgnoreTimestamp())

	require.NoError(t, testTel.Shutdown(context.Background()))
}
