[comment]: <> (Code generated by mdatagen. DO NOT EDIT.)

# rabbitmq

## Default Metrics

The following metrics are emitted by default. Each of them can be disabled by applying the following configuration:

```yaml
metrics:
  <metric_name>:
    enabled: false
```

### rabbitmq.consumer.count

The number of consumers currently reading from the queue.

| Unit | Metric Type | Value Type | Aggregation Temporality | Monotonic |
| ---- | ----------- | ---------- | ----------------------- | --------- |
| {consumers} | Sum | Int | Cumulative | false |

### rabbitmq.message.acknowledged

The number of messages acknowledged by consumers.

| Unit | Metric Type | Value Type | Aggregation Temporality | Monotonic |
| ---- | ----------- | ---------- | ----------------------- | --------- |
| {messages} | Sum | Int | Cumulative | true |

### rabbitmq.message.current

The total number of messages currently in the queue.

| Unit | Metric Type | Value Type | Aggregation Temporality | Monotonic |
| ---- | ----------- | ---------- | ----------------------- | --------- |
| {messages} | Sum | Int | Cumulative | false |

#### Attributes

| Name | Description | Values |
| ---- | ----------- | ------ |
| state | The state of messages in a queue. | Str: ``ready``, ``unacknowledged`` |

### rabbitmq.message.delivered

The number of messages delivered to consumers.

| Unit | Metric Type | Value Type | Aggregation Temporality | Monotonic |
| ---- | ----------- | ---------- | ----------------------- | --------- |
| {messages} | Sum | Int | Cumulative | true |

### rabbitmq.message.dropped

The number of messages dropped as unroutable.

| Unit | Metric Type | Value Type | Aggregation Temporality | Monotonic |
| ---- | ----------- | ---------- | ----------------------- | --------- |
| {messages} | Sum | Int | Cumulative | true |

### rabbitmq.message.published

The number of messages published to a queue.

| Unit | Metric Type | Value Type | Aggregation Temporality | Monotonic |
| ---- | ----------- | ---------- | ----------------------- | --------- |
| {messages} | Sum | Int | Cumulative | true |

## Optional Metrics

The following metrics are not emitted by default. Each of them can be enabled by applying the following configuration:

```yaml
metrics:
  <metric_name>:
    enabled: true
```

### rabbitmq.node.disk_free

Free disk space on the node.

| Unit | Metric Type | Value Type | Aggregation Temporality | Monotonic |
| ---- | ----------- | ---------- | ----------------------- | --------- |
| {bytes} | Sum | Int | Cumulative | false |

### rabbitmq.node.fd_used

The number of file descriptors used on the node.

| Unit | Metric Type | Value Type | Aggregation Temporality | Monotonic |
| ---- | ----------- | ---------- | ----------------------- | --------- |
| {fd} | Sum | Int | Cumulative | false |

### rabbitmq.node.mem_limit

The memory limit on the node.

| Unit | Metric Type | Value Type | Aggregation Temporality | Monotonic |
| ---- | ----------- | ---------- | ----------------------- | --------- |
| {bytes} | Sum | Int | Cumulative | false |

### rabbitmq.node.mem_used

The memory used on the node.

| Unit | Metric Type | Value Type | Aggregation Temporality | Monotonic |
| ---- | ----------- | ---------- | ----------------------- | --------- |
| {bytes} | Sum | Int | Cumulative | false |

## Resource Attributes

| Name | Description | Values | Enabled |
| ---- | ----------- | ------ | ------- |
| rabbitmq.node.name | The name of the RabbitMQ node. | Any Str | true |
| rabbitmq.queue.name | The name of the RabbitMQ queue. | Any Str | true |
| rabbitmq.vhost.name | The name of the RabbitMQ vHost. | Any Str | true |
