[comment]: <> (Code generated by mdatagen. DO NOT EDIT.)

# sqlserver

## Default Metrics

The following metrics are emitted by default. Each of them can be disabled by applying the following configuration:

```yaml
metrics:
  <metric_name>:
    enabled: false
```

### sqlserver.batch.request.rate

Number of batch requests received by SQL Server.

| Unit | Metric Type | Value Type |
| ---- | ----------- | ---------- |
| {requests}/s | Gauge | Double |

### sqlserver.batch.sql_compilation.rate

Number of SQL compilations needed.

| Unit | Metric Type | Value Type |
| ---- | ----------- | ---------- |
| {compilations}/s | Gauge | Double |

### sqlserver.batch.sql_recompilation.rate

Number of SQL recompilations needed.

| Unit | Metric Type | Value Type |
| ---- | ----------- | ---------- |
| {compilations}/s | Gauge | Double |

### sqlserver.lock.wait.rate

Number of lock requests resulting in a wait.

| Unit | Metric Type | Value Type |
| ---- | ----------- | ---------- |
| {requests}/s | Gauge | Double |

### sqlserver.lock.wait_time.avg

Average wait time for all lock requests that had to wait.

This metric is only available when running on Windows.

| Unit | Metric Type | Value Type |
| ---- | ----------- | ---------- |
| ms | Gauge | Double |

### sqlserver.page.buffer_cache.hit_ratio

Pages found in the buffer pool without having to read from disk.

| Unit | Metric Type | Value Type |
| ---- | ----------- | ---------- |
| % | Gauge | Double |

### sqlserver.page.checkpoint.flush.rate

Number of pages flushed by operations requiring dirty pages to be flushed.

This metric is only available when running on Windows.

| Unit | Metric Type | Value Type |
| ---- | ----------- | ---------- |
| {pages}/s | Gauge | Double |

### sqlserver.page.lazy_write.rate

Number of lazy writes moving dirty pages to disk.

This metric is only available when running on Windows.

| Unit | Metric Type | Value Type |
| ---- | ----------- | ---------- |
| {writes}/s | Gauge | Double |

### sqlserver.page.life_expectancy

Time a page will stay in the buffer pool.

This metric is only available when running on Windows.

| Unit | Metric Type | Value Type |
| ---- | ----------- | ---------- |
| s | Gauge | Int |

### sqlserver.page.operation.rate

Number of physical database page operations issued.

This metric is only available when running on Windows.

| Unit | Metric Type | Value Type |
| ---- | ----------- | ---------- |
| {operations}/s | Gauge | Double |

#### Attributes

| Name | Description | Values |
| ---- | ----------- | ------ |
| type | The page operation types. | Str: ``read``, ``write`` |

### sqlserver.page.split.rate

Number of pages split as a result of overflowing index pages.

This metric is only available when running on Windows.

| Unit | Metric Type | Value Type |
| ---- | ----------- | ---------- |
| {pages}/s | Gauge | Double |

### sqlserver.transaction.rate

Number of transactions started for the database (not including XTP-only transactions).

This metric is only available when running on Windows.

| Unit | Metric Type | Value Type |
| ---- | ----------- | ---------- |
| {transactions}/s | Gauge | Double |

### sqlserver.transaction.write.rate

Number of transactions that wrote to the database and committed.

This metric is only available when running on Windows.

| Unit | Metric Type | Value Type |
| ---- | ----------- | ---------- |
| {transactions}/s | Gauge | Double |

### sqlserver.transaction_log.flush.data.rate

Total number of log bytes flushed.

This metric is only available when running on Windows.

| Unit | Metric Type | Value Type |
| ---- | ----------- | ---------- |
| By/s | Gauge | Double |

### sqlserver.transaction_log.flush.rate

Number of log flushes.

This metric is only available when running on Windows.

| Unit | Metric Type | Value Type |
| ---- | ----------- | ---------- |
| {flushes}/s | Gauge | Double |

### sqlserver.transaction_log.flush.wait.rate

Number of commits waiting for a transaction log flush.

This metric is only available when running on Windows.

| Unit | Metric Type | Value Type |
| ---- | ----------- | ---------- |
| {commits}/s | Gauge | Double |

### sqlserver.transaction_log.growth.count

Total number of transaction log expansions for a database.

This metric is only available when running on Windows.

| Unit | Metric Type | Value Type | Aggregation Temporality | Monotonic |
| ---- | ----------- | ---------- | ----------------------- | --------- |
| {growths} | Sum | Int | Cumulative | true |

### sqlserver.transaction_log.shrink.count

Total number of transaction log shrinks for a database.

This metric is only available when running on Windows.

| Unit | Metric Type | Value Type | Aggregation Temporality | Monotonic |
| ---- | ----------- | ---------- | ----------------------- | --------- |
| {shrinks} | Sum | Int | Cumulative | true |

### sqlserver.transaction_log.usage

Percent of transaction log space used.

This metric is only available when running on Windows.

| Unit | Metric Type | Value Type |
| ---- | ----------- | ---------- |
| % | Gauge | Int |

### sqlserver.user.connection.count

Number of users connected to the SQL Server.

| Unit | Metric Type | Value Type |
| ---- | ----------- | ---------- |
| {connections} | Gauge | Int |

## Optional Metrics

The following metrics are not emitted by default. Each of them can be enabled by applying the following configuration:

```yaml
metrics:
  <metric_name>:
    enabled: true
```

### sqlserver.database.backup_or_restore.rate

Total number of backups/restores.

| Unit | Metric Type | Value Type |
| ---- | ----------- | ---------- |
| “{backups_or_restores}/s” | Gauge | Double |

### sqlserver.database.count

The number of databases

This metric is only available when the receiver is configured to directly connect to SQL Server.

| Unit | Metric Type | Value Type |
| ---- | ----------- | ---------- |
| {databases} | Gauge | Int |

#### Attributes

| Name | Description | Values |
| ---- | ----------- | ------ |
| database.status | The current status of a database | Str: ``online``, ``restoring``, ``recovering``, ``pending_recovery``, ``suspect``, ``offline`` |

### sqlserver.database.execution.errors

Number of execution errors.

| Unit | Metric Type | Value Type |
| ---- | ----------- | ---------- |
| “{errors}” | Gauge | Int |

### sqlserver.database.full_scan.rate

The number of unrestricted full table or index scans.

| Unit | Metric Type | Value Type |
| ---- | ----------- | ---------- |
| {scans}/s | Gauge | Int |

### sqlserver.database.io

The number of bytes of I/O on this file.

This metric is only available when the receiver is configured to directly connect to SQL Server.

| Unit | Metric Type | Value Type | Aggregation Temporality | Monotonic |
| ---- | ----------- | ---------- | ----------------------- | --------- |
| By | Sum | Int | Cumulative | true |

#### Attributes

| Name | Description | Values |
| ---- | ----------- | ------ |
| physical_filename | The physical filename of the file being monitored. | Any Str |
| logical_filename | The logical filename of the file being monitored. | Any Str |
| file_type | The type of file being monitored. | Any Str |
| direction | The direction of flow of bytes or operations. | Str: ``read``, ``write`` |

### sqlserver.database.latency

Total time that the users waited for I/O issued on this file.

This metric is only available when the receiver is configured to directly connect to SQL Server.

| Unit | Metric Type | Value Type | Aggregation Temporality | Monotonic |
| ---- | ----------- | ---------- | ----------------------- | --------- |
| s | Sum | Double | Cumulative | true |

#### Attributes

| Name | Description | Values |
| ---- | ----------- | ------ |
| physical_filename | The physical filename of the file being monitored. | Any Str |
| logical_filename | The logical filename of the file being monitored. | Any Str |
| file_type | The type of file being monitored. | Any Str |
| direction | The direction of flow of bytes or operations. | Str: ``read``, ``write`` |

### sqlserver.database.operations

The number of operations issued on the file.

This metric is only available when the receiver is configured to directly connect to SQL Server.

| Unit | Metric Type | Value Type | Aggregation Temporality | Monotonic |
| ---- | ----------- | ---------- | ----------------------- | --------- |
| {operations} | Sum | Int | Cumulative | true |

#### Attributes

| Name | Description | Values |
| ---- | ----------- | ------ |
| physical_filename | The physical filename of the file being monitored. | Any Str |
| logical_filename | The logical filename of the file being monitored. | Any Str |
| file_type | The type of file being monitored. | Any Str |
| direction | The direction of flow of bytes or operations. | Str: ``read``, ``write`` |

### sqlserver.database.tempdb.space

Total free space in temporary DB.

| Unit | Metric Type | Value Type | Aggregation Temporality | Monotonic |
| ---- | ----------- | ---------- | ----------------------- | --------- |
| “KB” | Sum | Int | Cumulative | false |

#### Attributes

| Name | Description | Values |
| ---- | ----------- | ------ |
| tempdb.state | The status of the tempdb space usage. | Str: ``free``, ``used`` |

### sqlserver.database.tempdb.version_store.size

TempDB version store size.

| Unit | Metric Type | Value Type |
| ---- | ----------- | ---------- |
| “KB” | Gauge | Double |

### sqlserver.deadlock.rate

Total number of deadlocks.

| Unit | Metric Type | Value Type |
| ---- | ----------- | ---------- |
| “{deadlocks}/s” | Gauge | Double |

### sqlserver.index.search.rate

Total number of index searches.

| Unit | Metric Type | Value Type |
| ---- | ----------- | ---------- |
| “{searches}/s” | Gauge | Double |

### sqlserver.lock.timeout.rate

Total number of lock timeouts.

| Unit | Metric Type | Value Type |
| ---- | ----------- | ---------- |
| “{timeouts}/s” | Gauge | Double |

### sqlserver.login.rate

Total number of logins.

| Unit | Metric Type | Value Type |
| ---- | ----------- | ---------- |
| “{logins}/s” | Gauge | Double |

### sqlserver.logout.rate

Total number of logouts.

| Unit | Metric Type | Value Type |
| ---- | ----------- | ---------- |
| “{logouts}/s” | Gauge | Double |

### sqlserver.memory.grants.pending.count

Total number of memory grants pending.

| Unit | Metric Type | Value Type | Aggregation Temporality | Monotonic |
| ---- | ----------- | ---------- | ----------------------- | --------- |
| “{grants}” | Sum | Int | Cumulative | false |

### sqlserver.memory.usage

Total memory in use.

| Unit | Metric Type | Value Type | Aggregation Temporality | Monotonic |
| ---- | ----------- | ---------- | ----------------------- | --------- |
| “KB” | Sum | Double | Cumulative | false |

### sqlserver.page.buffer_cache.free_list.stalls.rate

Number of free list stalls.

| Unit | Metric Type | Value Type |
| ---- | ----------- | ---------- |
| “{stalls}/s” | Gauge | Int |

### sqlserver.page.lookup.rate

Total number of page lookups.

| Unit | Metric Type | Value Type |
| ---- | ----------- | ---------- |
| “{lookups}/s” | Gauge | Double |

### sqlserver.processes.blocked

The number of processes that are currently blocked

This metric is only available when the receiver is configured to directly connect to SQL Server.

| Unit | Metric Type | Value Type |
| ---- | ----------- | ---------- |
| {processes} | Gauge | Int |

### sqlserver.replica.data.rate

Throughput rate of replica data.

| Unit | Metric Type | Value Type |
| ---- | ----------- | ---------- |
| By/s | Gauge | Double |

#### Attributes

| Name | Description | Values |
| ---- | ----------- | ------ |
| replica.direction | The direction of flow of bytes for replica. | Str: ``transmit``, ``receive`` |

### sqlserver.resource_pool.disk.throttled.read.rate

The number of read operations that were throttled in the last second

This metric is only available when the receiver is configured to directly connect to SQL Server.

| Unit | Metric Type | Value Type |
| ---- | ----------- | ---------- |
| {reads}/s | Gauge | Int |

### sqlserver.resource_pool.disk.throttled.write.rate

The number of write operations that were throttled in the last second

This metric is only available when the receiver is configured to directly connect to SQL Server.

| Unit | Metric Type | Value Type |
| ---- | ----------- | ---------- |
| {writes}/s | Gauge | Double |

### sqlserver.table.count

The number of tables.

| Unit | Metric Type | Value Type | Aggregation Temporality | Monotonic |
| ---- | ----------- | ---------- | ----------------------- | --------- |
| “{tables}” | Sum | Int | Cumulative | false |

#### Attributes

| Name | Description | Values |
| ---- | ----------- | ------ |
| table.state | The state of the table. | Str: ``active``, ``inactive`` |
| table.status | The status of the table. | Str: ``temporary``, ``permanent`` |

### sqlserver.transaction.delay

Time consumed in transaction delays.

| Unit | Metric Type | Value Type | Aggregation Temporality | Monotonic |
| ---- | ----------- | ---------- | ----------------------- | --------- |
| ms | Sum | Double | Cumulative | false |

### sqlserver.transaction.mirror_write.rate

Total number of mirror write transactions.

| Unit | Metric Type | Value Type |
| ---- | ----------- | ---------- |
| “{transactions}/s” | Gauge | Double |

## Resource Attributes

| Name | Description | Values | Enabled |
| ---- | ----------- | ------ | ------- |
| server.address | Name of the database host. | Any Str | false |
| server.port | Server port number. | Any Int | false |
| sqlserver.computer.name | The name of the SQL Server instance being monitored. | Any Str | false |
| sqlserver.database.name | The name of the SQL Server database. | Any Str | true |
| sqlserver.instance.name | The name of the SQL Server instance being monitored. | Any Str | false |
